#Copyright 2006 DR0ID <dr0id@bluewin.ch> http://mypage.bluewin.ch/DR0ID
#
#
#
"""
#TODO: documentation!
"""

__author__ = "$Author: DR0ID $"
__version__= "$Revision: 35 $"
__date__   = "$Date: 2006-09-07 18:33:53 +0200 (Do, 07 Sep 2006) $"


import controller 
import animation 
import os


class Cabinet(controller.Part):
    
    def __init__(self):
        controller.Part.__init__(self, "cabanim")
        self.state = 0 # 0 door closed, 1 door open
        
    def spin(self):
        if self.state ==0:
            self.animation = self.animations['spin']
            self.animation.play()
        else:
            print "cant spin cabinet wiht open door"
        
    def openDoor(self):
        if self.state == 0:
            self.state = 1
            self.animation = self.animations['openDoor']
            self.animation.play()
        
    def closeDoor(self):
        if self.state == 1:
            self.state = 0
            self.animation = self.animations['closeDoor']
            self.animation.paly()
        

cabanim = Cabinet()   

imgs = animation.load_img_from_dir(os.path.join('data', 'cabinet', 'spin'), 0)
anim = animation.Animation((400,300), imgs, 30)
cabanim.addAnim( 'spin', anim  )


imgs = animation.load_img_from_dir(os.path.join('data', 'cabinet', 'openDoor'), 0)
anim = animation.Animation((400,300), imgs, 30)
cabanim.addAnim( 'openDoor', anim  )


rimgs = animation.reverse_images(imgs)

ranim = animation.Animation((400,300), rimgs, 30)
cabanim.addAnim('closeDoor', ranim)

cabanim.animation = cabanim.animations['openDoor']
cabanim.move(0, -100)

del imgs
del anim
del ranim
