#Copyright 2006 DR0ID <dr0id@bluewin.ch> http://mypage.bluewin.ch/DR0ID
#
#
#
"""
#TODO: documentation!
"""

__author__ = "$Author: DR0ID $"
__version__= "$Revision: 35 $"
__date__   = "$Date: 2006-09-07 18:33:53 +0200 (Do, 07 Sep 2006) $"



import os
import pygame
import animation
from animation import TextSprite as TextSprite

##import level1
##
##scene = level1.scene
pygame.font.init()

        
        


class Silabe(pygame.sprite.Sprite):
    
    font = None
    
    def __init__(self, txt, id, pos):
        pygame.sprite.Sprite.__init__(self)
        if Silabe.font is None:
            Silabe.font = pygame.font.Font(None, 40)
    
        self.silabes = txt
        self.textid = id
        self.origPos = pos
        # 0 normal, 1 hit
        self.images = []
        self.images.append( Silabe.font.render(txt[id],  2, (255,0,255)) )
        self.images.append( Silabe.font.render(txt[id],  2, (255,255,0)) )
        self.image = self.images[0]
        self.rect = self.image.get_rect()
        self.rect.topleft = pos
        self.state = 0
        
    def hit(self, pos):
        hit = self.rect.collidepoint(*pos)
        if hit:
            self.image = self.images[1]
        else:
            self.image = self.images[0]
        return hit

# TODO: convert this to a class too

def play(scr, bgd, scene): #TODO: sceneCtrl must be set
    
    # load things used
##    pygame.time.wait(2000)
    
    bgd = pygame.image.load(os.path.join('data', 'stage.PNG')).convert()
    gui = pygame.image.load(os.path.join('data', 'gui.PNG')).convert()
    gui.set_colorkey(gui.get_at((0,0)))
    
    
    
    txtsilabes = scene.silabes
    
    sprites = pygame.sprite.RenderUpdates()
    animations = pygame.sprite.RenderUpdates()
    
    textSpr = TextSprite(pygame.font.Font(None, 30), (400,565), (255,155,0), "Compose the right spell to help the wizard pass his exam!")
    animations.add(textSpr)
    
    hitspr = None
    px = 10
    py = 470
    for s in range(len(txtsilabes)):
        spr = Silabe(txtsilabes, s, (px, py))
        sprites.add( spr )
        px += spr.rect.width+20
        if px+40>790:
            px = 10
            py += 40
        
    button = Silabe(["spell!"], 0, (700, 415))
    sprites.add(button)
        
        
    spell = [] # the composed spell, idx of silabelist
    silpos = [10, 415]
    actions = {} # nr: sequence
    
    
    quit = 0
    clock = pygame.time.Clock()
    while quit==0 : # 1 sec @ 30 fps
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
               quit = 1
            if event.type == pygame.KEYDOWN:
                if event.key == pygame.K_ESCAPE:
                    quit = 2 
                    
            elif event.type == pygame.MOUSEMOTION:
                mpos = pygame.mouse.get_pos()
                hitspr = None
                for spr in sprites.sprites():
                    if spr.hit(mpos)==1:
                        hitspr = spr
##                        print spr.silabes[spr.textid]
                        break;
            elif event.type == pygame.MOUSEBUTTONDOWN:
                if event.button == 1:
                    if hitspr is not None :
                        if hitspr == button:
                            # put all the action here
##                            print "SPELLING"
                            sp = ""
                            for s in spell:
##                                print (s.textid, txtsilabes[s.textid])
                                sp += txtsilabes[s.textid]
                            print "spelling: ", sp
                            # pass string to controller
                            scene.doaction(sp)
                            
                            
                        else:
                            if hitspr.state == 0:
##                                print spr.silabes[spr.textid], " clicked!"
                                # move str to right position and set state
                                # append it to the buildspell
                                if len(spell)<10:
                                    spell.append(hitspr)
                                    hitspr.rect.topleft = silpos
                                    silpos[0] += hitspr.rect.width+10
                                    hitspr.state = 1
##                                print "spell: "
##                                for s in spell:
##                                    print (s.textid, txtsilabes[s.textid])
                                else:
                                    print "spell too long"
                                    textSpr.setText("Spell too long!")
                elif event.button == 2:
##                    print "button 2"
                    if hitspr is not None:
                        if hitspr != button and hitspr.state == 1 :
                            hitspr.rect.topleft = hitspr.origPos
                            hitspr.state = 0
                            spell.remove(hitspr)
                            # rearange spell
                            x = 10
                            for s in spell:
                                s.rect.x = x
                                x += s.rect.width +10
                            silpos[0] = x
                                
                            
                    
            
        scr.blit(bgd, (0,0))
        scr.blit(gui, (0,600-200))
        sprites.draw(scr)
        scene.update(clock.get_time())
        scene.draw(scr)
##        animations.update()
##        animations.draw(scr)
        pygame.display.flip()
        clock.tick(30)
        pygame.display.set_caption(str(clock.get_fps())+str(pygame.mouse.get_pos()))

    
    return quit
